# Review at https://bugzilla.redhat.com/show_bug.cgi?id=433892

Name:           xfce-mcs-plugin-gsynaptics
Version:        1.0.0
Release:        2%{?dist}
Summary:        GSynaptics icon for the Xfce Settings Manager

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://goodies.xfce.org/projects/mcs-plugins/gsynaptics-mcs-plugin
Source0:        http://goodies.xfce.org/releases/gsynaptics-mcs-plugin/gsynaptics-mcs-plugin-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce-mcs-manager-devel  >= 4.3.99.2
BuildRequires:  gettext, perl(XML::Parser)
BuildRequires:  libgnomeui-devel
BuildRequires:  gsynaptics
Requires:       xfce-mcs-manager >= 4.4.0, gsynaptics
# for upstream compatibility 
Provides:       gsynaptics-mcs-plugin = %{version}-%{release}
# package rename in F10
Provides:       xfce4-gsynaptics-mcs-plugin = %{version}-%{release}
Obsoletes:      xfce4-gsynaptics-mcs-plugin < 1.0.0-2


# Use ExclusiveArch just as synaptics does; see
# http://cvs.fedora.redhat.com/viewcvs/rpms/synaptics/devel/synaptics.spec?root=extras&view=markup
# ExcludeArch tracker for now (until proper solution is found):
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=242323
# This is what it should be, but the buildsystem is a disaster
# ExcludeArch:	s390 s390x
ExclusiveArch: %{ix86} x86_64 ppc ppc64

%description
A simple MCS plugin for Xfce that starts gsynaptics when invoked and launches 
gsynaptics-init once loaded by the MCS manager.

%prep
%setup -qn gsynaptics-mcs-plugin-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/gsynaptics_plugin.la
%find_lang gsynaptics-mcs-plugin

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files -f gsynaptics-mcs-plugin.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/xfce4/mcs-plugins/gsynaptics_plugin.so
%{_datadir}/icons/hicolor/*/apps/gsynaptics-mcs-plugin.png
%{_datadir}/icons/hicolor/scalable/apps/gsynaptics-mcs-plugin.svg


%changelog
* Sun Jul 27 2008 Christoph Wickert <fedora christoph-wickert de> - 1.0.0-2
- Rebuild for PPC64
- Rename package to xfce-mcs-plugin-gsynaptics

* Sat Feb 24 2007 Christoph Wickert <fedora christoph-wickert de> - 1.0.0-1
- Initial packaging.
